from datetime import datetime, timedelta, date

from django import template
from django.db.models import Sum

from billard.models import Accounting

register = template.Library()


@register.filter(is_safe=True)
def display_daily_sale(location):
    date = datetime.now().replace(hour=6, minute=0, second=0, microsecond=0)
    now = datetime.now()
    if now < date:
        start_date = date - timedelta(days=1)
        end_date = date
    else:
        start_date = date
        end_date = date + timedelta(days=1)
    prize__sum = Accounting.objects.filter(desk__client__location=location,
                                           time_to__range=(start_date, end_date)).aggregate(Sum('prize'))
    if prize__sum['prize__sum'] is None:
        prize__sum['prize__sum'] = 0
    return "Tagesumsatz: {0:.2f} EUR".format(prize__sum['prize__sum'])
